mpc85xx_rio_config_read
Prev | PPC32 support | Next

## Name

mpc85xx_rio_config_read — Generate a MPC85xx read maintenance transaction

## Synopsis

`int mpc85xx_rio_config_read (` | int | index,
| u16 | destid,
| u8 | hopcount,
| u32 | offset,
| int | len,
| u32 * | val`)`;

## Arguments

`index`

  ID of RapdiIO interface

`destid`

  Destination ID of transaction

`hopcount`

  Number of hops to target device

`offset`

  Offset into configuration space

`len`

  Length (in bytes) of the maintenance transaction

`val`

  Location to be read into

## Description

Generates a MPC85xx read maintenance transaction. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
mpc85xx_local_config_write | Home | mpc85xx_rio_config_write